## zsh 5.0.2

=== debian/changelog ===
zsh (5.0.2-3ubuntu6.3) trusty-security; urgency=medium

  * SECURITY UPDATE: Arbitrary code execution
    - debian/patches/CVE-2018-0502-and-CVE-2018-13259-pre.patch:
      Src/signals.h.
    - debian/patches/CVE-2018-0502-and-CVE-2018-13259.patch:
      fix in Src/exec.c and add test Test/A05execution.ztst.
    - CVE-2018-0502
    - CVE-2018-13259
  * SECURITY UPDATE: Stack-based buffer overflow
    - debian/patches/CVE-2018-1100.patch: fix int Src/utils.c.
    - CVE-2018-1100

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 10 Sep 2018 09:30:36 -0300

zsh (5.0.2-3ubuntu6.2) trusty-security; urgency=medium

  * SECURITY UPDATE: stack-based buffer overflow
    - debian/patches/CVE-2018-1071.patch: check bounds when
      copying patch in hashcmd() in Src/exec.c, Src/utils.c.
    - CVE-2018-1071
  * SECURITY UPDATE: buffer-overflow
    - debian/patches/CVE-2018-1083.patch: check bounds on PATH_MAX
      buffer in Src/Zle/compctl.c.
    - CVE-2018-1083

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 26 Mar 2018 14:07:05 -0300

zsh (5.0.2-3ubuntu6.1) trusty-security; urgency=medium

  * SECURITY UPDATE: possibly privilege escalation
    - debian/patches/CVE-2014-10070.patch: safer import of
      numerical variables from environment in Src/params.c,
      Src/zsh.h.
    - CVE-2014-10070
  * SECURITY UPDATE: buffer overflow
    - debian/patches/CVE-2014-10071.patch: avoid buffer overflow
      for very long fds in Src/exec.c.
    - CVE-2014-10071
  * SECURITY UPDATE: buffer overflow
    - debian/patches/CVE-2014-10072.patch: fix buffer overflow in
      Src/utils.c.
    - CVE-2014-10072
  * SECURITY UPDATE: undersized buffer
    - debian/patches/CVE-2016-10714.patch: Add extra byte to PATH_MAX
      in Src/Zle/compctl.c, Src/builtin.c, Src/compat.c, Src/exec.c,
      Src/glob.c, Src/hist.c, Src/utils.c.
    - CVE-2016-10714
  * SECURITY UPDATE: NULL dereference
    - debian/patches/CVE-2017-18205.patch: fix in Src/builtin.c,
      Test/B01cd.ztst.
    - CVE-2017-18205
  * SECURITY UPDATE: Crash while copy an empty hash table
    - debian/patches/CVE-2018-7549.patch: avoid crash empty
      hash table in Src/params.c.
    - CVE-2018-7549

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Wed, 07 Mar 2018 08:03:11 -0300

zsh (5.0.2-3ubuntu6) saucy; urgency=low

  * Use dh_autotools-dev_update|restoreconfig in addition to dh_autoreconf
    to actually update config.sub|guess.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 10 Oct 2013 15:14:19 +0100

zsh (5.0.2-3ubuntu5) saucy; urgency=low

  * Add libncurses5-dev build-dep to avoid tgoto implicit function
    declaration and thus, implicit integer to pointer conversion. zsh
    should build with just ncursesw though.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sun, 04 Aug 2013 21:31:39 +0100

zsh (5.0.2-3ubuntu4) saucy; urgency=low

  * Add patch to fix implicit pointer conversion.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sun, 04 Aug 2013 20:35:18 +0100

zsh (5.0.2-3ubuntu3) saucy; urgency=low

  * Make failed tests not fail the build. Expected failures.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sun, 04 Aug 2013 19:49:34 +0100

zsh (5.0.2-3ubuntu2) saucy; urgency=low

  * Merge from Debian experimental, remaining changes:
    - debian/zshrc: Enable completions by default, unless
      skip_global_compinit is set
    - Keep using the upstream tarball that contains pre-generated docs as
      yodl is required to build them but the MIR hasn't been approved.
    - Drop yodl from Build-Depends.
    - Support cross-compiling:
      - Adjust upstream autoconf cross-compile default fallbacks.
      - Skip zcompile when cross-compiling.
      - Add libelf-dev dependency.
    + Add doc tarball component
    + Drop patches that modify docs, add patch to skip building docs.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 02 Aug 2013 17:51:51 +0100

zsh (5.0.2-3) unstable; urgency=low

  * Upload to unstable again.

  [ Axel Beckert ]
  * [485652d2] Add dummy packages for transition from zsh-beta to zsh
    - [099ce7e5] Remove all zsh-beta related conditionals from debian/rules
    - [474dd5db] debian/rules: Replace "$(package)" with a hardcoded "zsh"
    - [e020321f] Add symbolic link /bin/zsh-beta pointing to /bin/zsh5 for
      backwards compatibility
    - [128d9bcd] Remove zsh-beta alternatives and conffiles in
      zsh-beta.postinst
  * debian/rules enhancements:
    - [f16a3cd4] Use dh_auto_{configure,build,install,clean}
    - [c0cb3e2a] No more ignore potential failing of "include", "rm -f" or
      "make install.xyz"
      + [abe28723] Add build-dependency on dpkg-dev (>= 1.16.1~)
    - [a9ee601d] Use DPKG_EXPORT_BUILDFLAGS instead of exporting flags
      manually
    - [7a8da596] Remove manuall handling of DEB_BUILD_OPTIONS=noopt
    - [b4bab288] Allow parallel builds
    - [b95dddd8] Replace checkroot target with dh_testroot
    - [b3343504] Use dh_installdocs --link-doc instead of dh_link for
      /usr/share/doc/zsh*
  * No-op debian/rules refactoring:
    - [a046f7bf] Rename targets stamp-configure and stamp-configure-static
      to dh_clean compatible names
    - [b78d2e2e] Wrap long lines
    - [4bc34d4c] Don't line-break sed expressions. Do line-break before
      their file parameters
    - [336b60ea] CONFIGFLAGS and STATICFLAGS: Only one flag per line
    - [0b48d60a] Split long debug CONFIGFLAGS line
    - [4fe45240] Consequently use "touch $@" to create stamp files
    - [74416133] Indent dh_* parameters and other code for a more
      readable, table-like debian/rules
    - [8c5e7918] Drop no more necessary manual compression of info files
    - [724593d0,843e72f6] Remove some blank lines and commented code
    - [e79f64cc] Simplify target dependencies (drops no-op build-stamp target)
    - [b607fe2e] Reduce some occurrences of multiple whitespaces into single
      ones
    - [f1059538] Mention in debian/rules why /usr/share/doc/zsh-static is
      no symlink

