=== debian/control ===
Source: zsh
Section: shells
Priority: optional
Build-Depends: bsdmainutils,
               debhelper (>= 9~),
               dh-autoreconf,
               dpkg-dev (>= 1.16.2~),
               ghostscript,
               groff,
               groff-base,
               libcap-dev [linux-any],
               libelf-dev,
               libncursesw5-dev,
               libncurses5-dev,
               libpcre3-dev,
               texi2html (>= 1.76-3),
               texinfo,
               texlive-latex-recommended | texinfo (<< 5~),
               texlive-latex-base
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Zsh Maintainers <pkg-zsh-devel@lists.alioth.debian.org>
Uploaders: Michael Prokop <mika@debian.org>,
           Axel Beckert <abe@debian.org>,
           Clint Adams <clint@debian.org>,
           Frank Terbeck <ft@bewatermyfriend.org>,
           Richard Hartmann <richih.mailinglist@gmail.com>
Standards-Version: 3.9.4
Homepage: http://www.zsh.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/zsh.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/zsh.git

Package: zsh
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, zsh-common (= ${source:Version})
Pre-Depends: dpkg (>= 1.15.6~)
Recommends: ${shlibs:Recommends}
Suggests: zsh-doc
Description: shell with lots of features
 Zsh is a UNIX command interpreter (shell) usable as an
 interactive login shell and as a shell script command
 processor. Of the standard shells, zsh most closely resembles
 ksh but includes many enhancements. Zsh has command-line editing,
 built-in spelling correction, programmable command completion,
 shell functions (with autoloading), a history mechanism, and a
 host of other features.

Package: zsh-common
Architecture: all
Depends: ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6~)
Replaces: zsh (<= 5.0.2-1)
Breaks: zsh (<= 5.0.2-1)
Recommends: zsh
Suggests: zsh-doc
Description: architecture independent files for Zsh
 Zsh is a UNIX command interpreter (shell) usable as an
 interactive login shell and as a shell script command
 processor. Of the standard shells, zsh most closely resembles
 ksh but includes many enhancements. Zsh has command-line editing,
 built-in spelling correction, programmable command completion,
 shell functions (with autoloading), a history mechanism, and a
 host of other features.
 .
 This package contains the common zsh files shared by all
 architectures.

Package: zsh-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, zsh-common (= ${source:Version})
Pre-Depends: dpkg (>= 1.15.6~)
Description: zsh documentation - info/HTML format
 Zsh is a UNIX command interpreter (shell) usable as an
 interactive login shell and as a shell script command
 processor. Of the standard shells, zsh most closely resembles
 ksh but includes many enhancements. Zsh has command-line editing,
 built-in spelling correction, programmable command completion,
 shell functions (with autoloading), a history mechanism, and a
 host of other features.
 .
 This contains the documentation in GNU info and HTML formats.

Package: zsh-static
Architecture: any
Depends: zsh, ${misc:Depends}
Suggests: zsh-doc
Built-Using: ${Built-Using}
Description: shell with lots of features (static link)
 Zsh is a UNIX command interpreter (shell) usable as an
 interactive login shell and as a shell script command
 processor. Of the standard shells, zsh most closely resembles
 ksh but includes many enhancements. Zsh has command-line editing,
 built-in spelling correction, programmable command completion,
 shell functions (with autoloading), a history mechanism, and a
 host of other features.
 .
 This is the statically-compiled version of the shell.

Package: zsh-dev
Architecture: any
Depends: ${misc:Depends}, zsh-common (= ${source:Version})
Section: libdevel
Description: shell with lots of features (development files)
 Zsh is a UNIX command interpreter (shell) usable as an
 interactive login shell and as a shell script command
 processor. Of the standard shells, zsh most closely resembles
 ksh but includes many enhancements. Zsh has command-line editing,
 built-in spelling correction, programmable command completion,
 shell functions (with autoloading), a history mechanism, and a
 host of other features.
 .
 This package contains headers and scripts necessary to compile
 third-party modules.

Package: zsh-dbg
Architecture: any
Section: debug
Priority: extra
Depends: zsh (= ${binary:Version}), ${misc:Depends}, zsh-common (= ${source:Version})
Pre-Depends: dpkg (>= 1.15.6~)
Description: shell with lots of features (debugging symbols)
 Zsh is a UNIX command interpreter (shell) usable as an
 interactive login shell and as a shell script command
 processor. Of the standard shells, zsh most closely resembles
 ksh but includes many enhancements. Zsh has command-line editing,
 built-in spelling correction, programmable command completion,
 shell functions (with autoloading), a history mechanism, and a
 host of other features.
 .
 This package contains gdb debugging symbols for the 'zsh'
 package.

Package: zsh-beta
Architecture: all
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, zsh (>= 5), zsh-common (= ${source:Version})
Suggests: zsh-beta-doc
Description: transitional package to zsh
 The purpose of this package is solely the transition from the zsh-beta
 package to the zsh package. It can be safely removed if no more user
 has zsh-beta as login shell.

Package: zsh-beta-doc
Architecture: all
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, zsh-doc, zsh-common (= ${source:Version})
Description: transitional package to zsh-doc
 The purpose of this package is solely the transition from the
 zsh-beta-doc package to the zsh-doc package. It can be safely
 removed.
