## zsh 5.0.5

=== debian/changelog ===
zsh (5.0.5-4ubuntu1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1355811)

 -- Felix Geyer <debfx@ubuntu.com>  Tue, 12 Aug 2014 16:55:38 +0200

zsh (5.0.5-4ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - debian/zshrc: Enable completions by default, unless
      skip_global_compinit is set
    - Drop yodl from Build-Depends.
    - Support cross-compiling:
      - Adjust upstream autoconf cross-compile default fallbacks.
      - Skip zcompile when cross-compiling.
      - Add libelf-dev dependency.
    - Add libncurses5-dev build-dep to avoid tgoto implicit function
    declaration and thus, implicit integer to pointer conversion. zsh
    should build with just ncursesw though.
    - Use dh_autotools-dev_update|restoreconfig in addition to
    dh_autoreconf to actually update config.sub|guess.

  * Adjust prebuild target to prebuild missing docs locally with yodl
    installed, and dpkg-source --commit the results into
    prebuild-docs.patch. Adjust source/options to not ignore doc changes &
    manpages. Adjust debian/clean to not purge prebuild manpages. Revert
    debian/rules to Debian, thus installing & build remaining pdf/texinfo
    documentation at build time. This should resolve partially missing
    documentation bug LP: #1242108.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 07 Jul 2014 13:34:04 +0100

zsh (5.0.5-4) unstable; urgency=medium

  * [5cebe890] Fix output file descriptor of bug script. reportbug
    only captures output to fd 3 and ignores STDOUT.
  * [11486424] Simplify helpfiles generation in debian/rules.
    + nroff is no more called twice (Closes: #737582)
    + There's no more need to replace any ISO Latin-1 character.
    + debian/rules is now pure 7-bit ASCII again
  * [d1d4dabe] Add lintian overrides for spelling error false positives.

 -- Axel Beckert <abe@debian.org>  Sat, 28 Jun 2014 17:37:54 +0200

zsh (5.0.5-3) unstable; urgency=medium

  [ Axel Beckert ]
  * [befdc25a] Don't even try to run test suite on hurd, it hangs.
  * [53e4180a] Add bug scripts to list packages that could interfere with
    zsh's behaviour.
  * [1af939ec] Cherry-pick apt and apt-mark completion updates from
    upstream. (Closes: #691526)
  * [ce0c912b] Cherry-pick upstream fix for INC_APPEND_HISTORY
    regression. (Closes: #749969)
  * [655a374b] Add build-dependency on cm-super-minimal. It FTBFS with TeX
    Live >= 2014 otherwise.

  [ Frank Terbeck ]
  * [5ac620f4] Add note about $fpath entries to README.Debian.

 -- Axel Beckert <abe@debian.org>  Fri, 13 Jun 2014 11:49:44 +0200

zsh (5.0.5-2) unstable; urgency=medium

  * [9cfeffbc] Add build-dependency on texlive-fonts-recommended
    (c.f. #738402, closes: #738452)
  * [c14fd3a8] Add a debian/upstream/metadata file according to DEP-12

 -- Axel Beckert <abe@debian.org>  Wed, 12 Mar 2014 00:21:06 +0100

zsh (5.0.5-1) unstable; urgency=medium

  * [8f137a4a] New upstream release
    + No more freeze when piping a function's output (Closes: #732726)
    + Command tab-completion works again after semicolon (Closes: #733075)

 -- Axel Beckert <abe@debian.org>  Sun, 05 Jan 2014 22:17:34 +0100

zsh (5.0.4-1) unstable; urgency=low

  * [59152a34] New upstream release

 -- Axel Beckert <abe@debian.org>  Sat, 21 Dec 2013 17:42:23 +0100

zsh (5.0.3-1) unstable; urgency=low

  * [929ba17da] New upstream release
    + [97ed366a] Drop fix-A05execution-ztst-setopt-MONITOR patch (applied
      upstream)
  * [7cdfd51c] Ignore test suite results on hurd-i386 for now
  * [54e2f2ee] Remove use-dev-null-instead-of-dev-tty-for-dash-c-test
    patch again. It was introduced in the hope it would fix test suite
    failures on hurd, but instead it made the test suite hang.
  * [07e365ef] Built-Using: Use libc-dev-bin instead of eglibc as
    parameter to dpkg-query since it needs to be a binary package and
    existing on all architectures.

 -- Axel Beckert <abe@debian.org>  Sun, 15 Dec 2013 03:20:32 +0100

zsh (5.0.2-test-3-1) experimental; urgency=low

  * [d799ac78] New upstream release candidate 5.0.2-test-3
    - [b95cf81b] Remove patches applied upstream
    - [e30f4023] Refresh patch replace-texi2html-with-makeinfo
    - [d1fce554] debian/rules: Util/helpfiles now requires parameters, but
      allows one to reduce our own magic around it.
    - [8efa92fb] Add newly generated help files to debian/clean
    - Includes many completion updates (Closes: #691601, #697247, #699851)
  * [abfb3b13] Bump Standards-Version to 3.9.5 (no changes)
  * [dcc18dd5] zsh-beta.postrm: Unregister /etc/shells entry on removal
    (Closes: #724251)
  * [f75d7101] Make lintian override zsh version agnostic
  * [8fe0f364] zsh-common: Remove Breaks against older zsh version
    (Hopefully closes: #707760)
  * [df234cd6] Update watch file to also catch release candidates
  * [1e707e44] Fix one test-suite failure on static builds due to
    non-existent $HOME. Thanks to Bart Schaefer and Peter Stephenson for
    spotting the cause.
  * [04b8f147,640ecca3] Fix test suite failures on Jenkins builds.

 -- Axel Beckert <abe@debian.org>  Tue, 03 Dec 2013 14:23:42 +0100

zsh (5.0.2-6) unstable; urgency=low

  * [57d31fe2] Replace patch to search for usable tty by patch to use
    /dev/null for -c test. Suggested on zsh-workers by Bart Schaefer.

 -- Axel Beckert <abe@debian.org>  Sat, 26 Oct 2013 15:09:56 +0200

zsh (5.0.2-5) unstable; urgency=low

  * [22bc9278,f7cf9ffb] Add patch to make test suite "-c" test more
    flexible, should prevent FTBFS on Hurd.  Thanks to Pino Toscano.
  * [e19ee43a] Only try to remove /etc/zsh-beta if it exists.
  * [5348f04a] No more built zsh-common on binary-arch by reordering
    debian/rules. Fixes error "binary-arch-produces-all" reported by the
    build log scanner.
  * [addc1a88,e2d2908b] Simplify dh_* calls by using -a/-i instead of
    listing all arch/indep packages.
  * [29efa515] Clean up dh_installchangelog calls by removing redundancy

