=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: shells
 Priority: optional
 Build-Depends: bsdmainutils,
+               cm-super-minimal,
                debhelper (>= 9~),
                dh-autoreconf,
                dpkg-dev (>= 1.16.2~),
@@ -13,18 +14,18 @@
                libncursesw5-dev,
                libncurses5-dev,
                libpcre3-dev,
-               texi2html (>= 1.76-3),
-               texinfo,
-               texlive-latex-recommended | texinfo (<< 5~),
-               texlive-latex-base
+               texinfo (>= 5~),
+               texlive-fonts-recommended,
+               texlive-latex-recommended,
+               texlive-latex-base,
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Zsh Maintainers <pkg-zsh-devel@lists.alioth.debian.org>
 Uploaders: Michael Prokop <mika@debian.org>,
            Axel Beckert <abe@debian.org>,
            Clint Adams <clint@debian.org>,
            Frank Terbeck <ft@bewatermyfriend.org>,
-           Richard Hartmann <richih.mailinglist@gmail.com>
-Standards-Version: 3.9.4
+           Richard Hartmann <richih@debian.org>
+Standards-Version: 3.9.5
 Homepage: http://www.zsh.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/zsh.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/zsh.git
@@ -32,7 +33,6 @@
 Package: zsh
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, zsh-common (= ${source:Version})
-Pre-Depends: dpkg (>= 1.15.6~)
 Recommends: ${shlibs:Recommends}
 Suggests: zsh-doc
 Description: shell with lots of features
@@ -47,9 +47,7 @@
 Package: zsh-common
 Architecture: all
 Depends: ${misc:Depends}
-Pre-Depends: dpkg (>= 1.15.6~)
 Replaces: zsh (<= 5.0.2-1)
-Breaks: zsh (<= 5.0.2-1)
 Recommends: zsh
 Suggests: zsh-doc
 Description: architecture independent files for Zsh
@@ -68,7 +66,6 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}, zsh-common (= ${source:Version})
-Pre-Depends: dpkg (>= 1.15.6~)
 Description: zsh documentation - info/HTML format
  Zsh is a UNIX command interpreter (shell) usable as an
  interactive login shell and as a shell script command
@@ -117,7 +114,6 @@
 Section: debug
 Priority: extra
 Depends: zsh (= ${binary:Version}), ${misc:Depends}, zsh-common (= ${source:Version})
-Pre-Depends: dpkg (>= 1.15.6~)
 Description: shell with lots of features (debugging symbols)
  Zsh is a UNIX command interpreter (shell) usable as an
  interactive login shell and as a shell script command
