## zsh 5.0.7

=== debian/changelog ===
zsh (5.0.7-5ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - debian/zshrc: Enable completions by default, unless
      skip_global_compinit is set
    - Drop yodl from Build-Depends.
    - Support cross-compiling:
      - Adjust upstream autoconf cross-compile default fallbacks.
      - Skip zcompile when cross-compiling.
      - Add libelf-dev dependency.
    - Add libncurses5-dev build-dep to avoid tgoto implicit function
    declaration and thus, implicit integer to pointer conversion. zsh
    should build with just ncursesw though.
    - Use dh_autotools-dev_update|restoreconfig in addition to
    dh_autoreconf to actually update config.sub|guess.
    - prebuild docs.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sat, 06 Dec 2014 18:32:18 +0000

zsh (5.0.7-5) unstable; urgency=medium

  * [ab70e9dc] Pre-Depend on dpkg >= 1.17.14 explicitly for using
    symlink_to_dir with relative symlinks (Closes: #770226)

 -- Axel Beckert <abe@debian.org>  Tue, 25 Nov 2014 23:42:17 +0100

zsh (5.0.7-4) unstable; urgency=medium

  [ Simon McVittie ]
  * [991d536c] Make zsh source package binNMU-safe (Closes: #768937)
    + Do not use dh_installdocs --link-doc=zsh-common in
      architecture-dependent packages
    + Symlink zsh-common documentation files into /usr/share/doc/zsh
    + Migrate /usr/share/doc/zsh and /usr/share/doc/zsh-dev from symlink
      to directory using dpkg-maintscript-helper

  [ Axel Beckert ]
  * [7b632623] Simplify Simon's patch by making /usr/share/doc/zsh/doc a
    symlink to ../zsh-common/ in the zsh binary package. Avoids unpack
    errors probably caused by having _two_ binary packages containing the
    directory which was previously a symlink. (See the log of #768937.)
  * [0e03e623,ad143a67] Add Pre-Depends: ${misc:Pre-Depends} for using
    dpkg-maintscript-helper's symlink_to_dir.
  * [af8ab9de] Also remove zsh4 alternative for rzsh (Closes: #768241)
  * [353e05ab] Add a post-jessie TODO list to the source package

 -- Axel Beckert <abe@debian.org>  Thu, 13 Nov 2014 01:18:54 +0100

zsh (5.0.7-3) unstable; urgency=low

  * Upload to unstable again
  * [5409996b ff.] Remove zsh4 and zsh4-static from list of alternatives
    in the according postinst scripts. Also raise priorities of zsh5 and
    zsh5-static alternatives by 1 so that they have a higher priority than
    the old ones. (Closes: #766015)
  * [29ce7d34] Mention https://wiki.debian.org/Zsh in README.Debian
  * [b33dd34f] Switch the zsh and zsh-common binary package stanzas in
    debian/control to get README.Debian installed again. (dh_installdocs
    installs it into the first binary package listed in debian/control.)

 -- Axel Beckert <abe@debian.org>  Tue, 21 Oct 2014 02:39:51 +0200

zsh (5.0.7-2) experimental; urgency=low

  * [0e36f80d ff.] Workflow documentation: Many updates
  * [438969ff] Add zsh4(-static) wrapper scripts to ease switch to zsh5
    (Closes: #707760)
  * [180ad946] Add lintian overrides for unusual-interpreter in zsh4
    wrapper script
  * [2bc52e92] Drop prebuild target from debian/rules (unused)
  * [8ece55fe] Add a get-orig-source target to debian/rules
  * [503d6807] Add debian/bin/commit2quilt for easier cherry-picking
  * Cherry-pick a bunch of post-5.0.7 fixes from upstream:
    + [46859b9c] a03227de/33405: vcs_info: Make sure maxexports is set
      when VCS_INFO_set is called
    + [849017f2] 22c4ea42/33403: be conservative about redirecting
      _call_program stderr, the caller may have already done so
    + [6f309d99] 605a73e4/33429: disallow non-integer values for HISTSIZE
      and SAVEHIST of "fc -p", and fix crash on zero values for same
    + [4a370a5f] 521313b4/33429: Tests for previous patch
    + [adb27914] 2d14c085/33445: fix handling of -s when combined with -i
      at shell invocation
  * [35069efe] Add patch by Bart Schaefer which should further mitigate #759870

 -- Axel Beckert <abe@debian.org>  Mon, 13 Oct 2014 23:15:06 +0200

zsh (5.0.7-1) experimental; urgency=low

  * [208bdede] New upstream release
    + [2d470422] Drop all cherry-picked patches
    + Cherry-pick 9982ab6f ("unposted: ChangeLog entry for 33365") as
      patch as it adds one missing (and not unimportant) changelog entry
      for the 5.0.7 release.
  * [a563abd0] Add an initial README.source file
  * [6696aa79, ff.] Revamp and update packaging workflow documentation and
    convert it to Markdown.
  * [97cc54f6] Drop patch2quilt helper script (unused)
  * [b605fa17] Move all other helper scripts from debian/ to debian/bin/.

 -- Axel Beckert <abe@debian.org>  Wed, 08 Oct 2014 23:33:33 +0200

zsh (5.0.6-3) unstable; urgency=medium

  * [f5dacf9f] Do not run (already ignored) test suite on static build to
    mitigate #760061.
  * [79035529] Set ZTST_verbose=1 to get more details about where exactly
    the test suite hangs. Seems also to reduce the likeliness for hangs
    and hence further mitigates #760061.
  * [16aa8c84] Cherry-pick git commit 87270496 from upstream: Fixes
    hanging in freejob from TRAPCHLD. May mitigate or even fix #760061.
  * [c3dea2bb] Convert debian/copyright into machine-readable DEP5 format.
  * [abc8d1f6] Complete debian/copyright with individual copyrights and
    licenses (Closes: #763191)

 -- Axel Beckert <abe@debian.org>  Thu, 02 Oct 2014 01:37:34 +0200

zsh (5.0.6-2) unstable; urgency=medium

  [ Axel Beckert ]
  * [be93912f] Cherry-pick 4414e54e from upstream: Fixes regression with
    shared or incremental history when trying to read .zsh_history with
    hist_fcntl_lock (Closes: #761597)
  * [0ef12ed3] Add test-suite wrapper and adequate test for DEP8
    as-installed testing
  * [a6b77953] Declare packaging branch in Vcs-Git header
  * [9a864f1e] Change Vcs-Browser to new cgit based repository viewer
  * [a3cbb95b] Bump Standards-Version to 3.9.6 (no changes needed)
  * [21e82382] Apply wrap-and-sort -a

  [ Wookey ]
  * [2bbd5ddc] Use autotools-dev as well as autoreconf to ensure

