=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: zsh
 Section: shells
 Priority: optional
-Build-Depends: bsdmainutils,
+Build-Depends: autotools-dev,
+               bsdmainutils,
                cm-super-minimal,
                debhelper (>= 9~),
                dh-autoreconf,
@@ -16,8 +17,8 @@
                libpcre3-dev,
                texinfo (>= 5~),
                texlive-fonts-recommended,
+               texlive-latex-base,
                texlive-latex-recommended,
-               texlive-latex-base,
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Zsh Maintainers <pkg-zsh-devel@lists.alioth.debian.org>
 Uploaders: Michael Prokop <mika@debian.org>,
@@ -25,28 +26,16 @@
            Clint Adams <clint@debian.org>,
            Frank Terbeck <ft@bewatermyfriend.org>,
            Richard Hartmann <richih@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.zsh.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/zsh.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/zsh.git
-
-Package: zsh
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, zsh-common (= ${source:Version})
-Recommends: ${shlibs:Recommends}
-Suggests: zsh-doc
-Description: shell with lots of features
- Zsh is a UNIX command interpreter (shell) usable as an
- interactive login shell and as a shell script command
- processor. Of the standard shells, zsh most closely resembles
- ksh but includes many enhancements. Zsh has command-line editing,
- built-in spelling correction, programmable command completion,
- shell functions (with autoloading), a history mechanism, and a
- host of other features.
+Vcs-Git: git://anonscm.debian.org/collab-maint/zsh.git -b debian
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/zsh.git
 
 Package: zsh-common
 Architecture: all
 Depends: ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends},
+             dpkg (>= 1.17.14)
 Replaces: zsh (<= 5.0.2-1)
 Recommends: zsh
 Suggests: zsh-doc
@@ -62,10 +51,29 @@
  This package contains the common zsh files shared by all
  architectures.
 
+Package: zsh
+Architecture: any
+Depends: zsh-common (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends},
+             dpkg (>= 1.17.14)
+Recommends: ${shlibs:Recommends}
+Suggests: zsh-doc
+Description: shell with lots of features
+ Zsh is a UNIX command interpreter (shell) usable as an
+ interactive login shell and as a shell script command
+ processor. Of the standard shells, zsh most closely resembles
+ ksh but includes many enhancements. Zsh has command-line editing,
+ built-in spelling correction, programmable command completion,
+ shell functions (with autoloading), a history mechanism, and a
+ host of other features.
+
 Package: zsh-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, zsh-common (= ${source:Version})
+Depends: zsh-common (= ${source:Version}),
+         ${misc:Depends}
 Description: zsh documentation - info/HTML format
  Zsh is a UNIX command interpreter (shell) usable as an
  interactive login shell and as a shell script command
@@ -79,7 +87,8 @@
 
 Package: zsh-static
 Architecture: any
-Depends: zsh, ${misc:Depends}
+Depends: zsh,
+         ${misc:Depends}
 Suggests: zsh-doc
 Built-Using: ${Built-Using}
 Description: shell with lots of features (static link)
@@ -95,7 +104,10 @@
 
 Package: zsh-dev
 Architecture: any
-Depends: ${misc:Depends}, zsh-common (= ${source:Version})
+Depends: zsh-common (= ${source:Version}),
+         ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends},
+             dpkg (>= 1.17.14)
 Section: libdevel
 Description: shell with lots of features (development files)
  Zsh is a UNIX command interpreter (shell) usable as an
@@ -113,7 +125,9 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: zsh (= ${binary:Version}), ${misc:Depends}, zsh-common (= ${source:Version})
+Depends: zsh (= ${binary:Version}),
+         zsh-common (= ${source:Version}),
+         ${misc:Depends}
 Description: shell with lots of features (debugging symbols)
  Zsh is a UNIX command interpreter (shell) usable as an
  interactive login shell and as a shell script command
@@ -130,7 +144,9 @@
 Architecture: all
 Section: oldlibs
 Priority: extra
-Depends: ${misc:Depends}, zsh (>= 5), zsh-common (= ${source:Version})
+Depends: zsh (>= 5),
+         zsh-common (= ${source:Version}),
+         ${misc:Depends}
 Suggests: zsh-beta-doc
 Description: transitional package to zsh
  The purpose of this package is solely the transition from the zsh-beta
@@ -141,7 +157,9 @@
 Architecture: all
 Section: oldlibs
 Priority: extra
-Depends: ${misc:Depends}, zsh-doc, zsh-common (= ${source:Version})
+Depends: zsh-common (= ${source:Version}),
+         zsh-doc,
+         ${misc:Depends}
 Description: transitional package to zsh-doc
  The purpose of this package is solely the transition from the
  zsh-beta-doc package to the zsh-doc package. It can be safely
