=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,12 @@
 #!/usr/bin/make -f
 INSTALL = install
 INSTALL_PROGRAM = $(INSTALL) -p -o root -g root -m 755
+
+# Disable -fstack-protector-strong on s390x as it causes endless loops
+# in gcc-4.9. See https://bugs.debian.org/759870 for details
+ifeq (s390x,$(shell dpkg-architecture -qDEB_BUILD_ARCH))
+export DEB_BUILD_MAINT_OPTIONS=hardening=-stackprotectorstrong
+endif
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
@@ -48,7 +54,7 @@
 build-arch: configure-stamp
 	dh_auto_build -B obj --parallel
 	if dpkg-architecture -qDEB_BUILD_ARCH_OS | grep -qv hurd; then \
-		HOME="$(CURDIR)/obj/testhome" dh_auto_test -B obj --parallel; \
+		HOME="$(CURDIR)/obj/testhome" ZTST_verbose=1 dh_auto_test -B obj --parallel; \
 	fi
 	touch $@
 
@@ -59,7 +65,7 @@
 build-static: configure-static-stamp
 	dh_testdir
 	dh_auto_build -B obj-static --parallel
-	HOME="$(CURDIR)/obj-static/testhome" dh_auto_test -B obj-static --parallel || true
+	#HOME="$(CURDIR)/obj-static/testhome" ZTST_verbose=1 dh_auto_test -B obj-static --parallel || true
 	touch $@
 
 build-debug: DEB_BUILD_OPTIONS+=debug
@@ -67,6 +73,7 @@
 
 configure:
 	touch stamp-h.in
+	dh_autotools-dev_updateconfig
 	dh_autoreconf
 	dh_autotools-dev_updateconfig
 
@@ -90,6 +97,7 @@
 	dh_testdir
 	dh_autotools-dev_restoreconfig
 	dh_autoreconf_clean
+	dh_autotools-dev_restoreconfig
 	rm -f build build-static
 	dh_auto_clean -B obj        --parallel
 	dh_auto_clean -B obj-static --parallel
@@ -179,7 +187,8 @@
 		-dDepends    debian/zsh/bin/*   \
 		-dRecommends debian/zsh/usr/lib/*/zsh/*/zsh/*.so
 
-	dh_installdocs -pzsh             -pzsh-dbg --link-doc=zsh-common
+	dh_installdocs -pzsh             -pzsh-dbg --link-doc=zsh
+	dh_installchangelogs -pzsh
 
 binary-arch-static: build-static
 	dh_testdir
@@ -189,7 +198,8 @@
 
 	# Do not symlink /usr/share/doc/zsh-static to
 	# /usr/share/doc/zsh-common because zsh-static has a unique,
-	# generated README.Debian
+	# generated README.Debian, and because --link-doc between
+	# arch-dep and arch-indep packages breaks binNMUs
 	dh_installdocs       -pzsh-static
 	awk 'BEGIN { print "The following modules are statically-compiled into the static zsh binary:\n"; } /link=static/ { printf "%s (%s %s)\n", substr($$1,6), $$4, $$5; }' obj-static/config.modules >debian/zsh-static/usr/share/doc/zsh-static/README.Debian
 
@@ -197,7 +207,9 @@
 	dh_install           -pzsh-static
 	dh_strip             -pzsh-static
 
-	mv debian/zsh-static/bin/zsh debian/zsh-static/bin/zsh5-static
+	mv debian/zsh-static/bin/zsh  debian/zsh-static/bin/zsh5-static
+	mv debian/zsh-static/bin/zsh4 debian/zsh-static/bin/zsh4-static
+	sed -e 's:#!/bin/zsh5:#!/bin/zsh5-static:' -i debian/zsh-static/bin/zsh4-static
 
 	dh_installchangelogs -pzsh-static
 
@@ -210,7 +222,8 @@
 
 	cd debian/zsh-dev/usr/share/aclocal; mv aczshoot.m4 zshoot.m4
 
-	dh_installdocs -pzsh-dev --link-doc=zsh-common
+	dh_installdocs -pzsh-dev
+	dh_installchangelogs -pzsh-dev
 
 binary-arch: binary-arch-dynamic binary-arch-static binary-arch-dev
 	dh_lintian    -a
@@ -222,17 +235,3 @@
 	dh_md5sums    -a
 	dh_builddeb   -a
 
-binary: binary-indep binary-arch binary-arch-static binary-arch-dev
-
-prebuild:
-	sed -i 's/\(^#Doc.*\)/\1/;s/\(^#META-FAQ\)/\1/' debian/clean
-	./debian/rules clean
-	Util/preconfig
-	./configure
-	make -C Doc
-	make distclean
-	rm -rf autom4te.cache
-	sed -i 's/\(^Doc.*\)/#\1/;s/\(^META-FAQ\)/#\1/' debian/clean
-	./debian/rules clean
-
-.PHONY: binary binary-arch binary-indep clean binary-arch-dynamic binary-arch-static prebuild binary-arch-dev
